package de.deversmann.domain;

public class Zeiterfassung {

    private long startTime;
    private long endTime;
    private boolean isRunning;

    public Zeiterfassung() {
        this.isRunning = false;
    }

    public void start() {
        if (!isRunning) {
            startTime = System.currentTimeMillis();
            isRunning = true;
            System.out.println("Zeiterfassung gestartet");
        }
    }

    public void stop() {
        if (isRunning) {
            endTime = System.currentTimeMillis();
            isRunning = false;
            System.out.println("Zeiterfassung gestoppt, diff=" + getElapsedTimeInSeconds() + "s");
        }
    }

    public long getElapsedTimeInSeconds() {
        if (isRunning) {
            long current = System.currentTimeMillis();
            return (current - startTime) / 1000;
        } else {
            return (endTime - startTime) / 1000;
        }
    }
}